# Create 10DLC Brand Vetting

Submit a 10DLC brand for external vetting.

{% hint style="info" %}
<https://v1.api19.com/campaigns/brand/vetting/create>
{% endhint %}

{% tabs %}
{% tab title="Curl Post" %}
{% code title="curl" %}

```bash
curl https://v1.api19.com/campaigns/brand/vetting/create \
 -d 'key=api_token' \
 -d 'brand_id=B1A2C3D4E5' \
 -d 'evpId=EVP001' \
 -d 'vettingClass=STANDARD'
```

{% endcode %}
{% endtab %}

{% tab title="JSON Response" %}
{% code title="response.json" %}

```json
{
    "status": "ok",
    "data": {
        "evpId": "AEGIS",
        "vettingId": "###",
        "vettingToken": "###",
        "vettingScore": null,
        "vettingClass": "STANDARD",
        "vettingStatus": "PENDING",
        "reasons": null,
        "vettingDetails": {},
        "vettedDate": null,
        "createDate": "2025-02-07T17:26:11.539Z"
        "validUntil": null,
        "expirationDate": null
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Parameters

* `brand_id` (required) - Brand ID
* `evpId` (required) - External vetting provider ID
* `vettingClass` (required) - Vetting class type
* `additionalRequestPayload` (optional) - Additional data required by the vetting provider

## Developer Guide

### External Vets for SOLE\_PROPRIETORS and PUBLIC\_PROFITS

Some brand entity types have restrictions that can prohibit an external vetting request, or require that the brand have a specific identity status before the request is processed.

* **SOLE\_PROPRIETOR**: A brand with this entity type cannot request external vetting.
* **PUBLIC\_PROFIT**: A Public Profit brand must have a `VERIFIED` or `VETTED_VERIFIED` identity status in order to qualify for a new external vet or to import an external vet.

***

### Vetting Providers and Supported Vetting Classes

Some vetting providers only accept requests for specific types of vets (referred to as a vetting class). Additionally, certain vets are limited to a brand's national origin and entity type. The following table provides information on external vetting providers and the types of vets they accept.

#### Aegis Mobile

| EVP ID  | Vetting Class | Description                                                                                                                                                                                                                                                 |
| ------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `AEGIS` | `STANDARD`    | <p>Requests a standard external vet. Allowed for US and non-US brands.<br><br><strong>Eligible Entity Types:</strong><br>• PRIVATE\_PROFIT, PUBLIC\_PROFIT, NON\_PROFIT, GOVERNMENT</p>                                                                     |
| `AEGIS` | `POLITICAL`   | <p>Requests a political external vet. Allowed for US brands only.<br><br><strong>Eligible Entity Types:</strong><br>• NON\_PROFIT</p>                                                                                                                       |
| `AEGIS` | `ENHANCED`    | <p>Requests an enhanced external vet. Allowed for US and non-US brands.<br><br><strong>Eligible Entity Types:</strong><br>• PRIVATE\_PROFIT, PUBLIC\_PROFIT, NON\_PROFIT, GOVERNMENT</p>                                                                    |
| `AEGIS` | `AUTHPLUS`    | <p>Requests an Authentication+ verification. Allowed for US and non-US brands.<br><br><strong>Eligible Entity Types:</strong><br>• PUBLIC\_PROFIT</p>                                                                                                       |
| `AEGIS` | `RBM`         | <p>Requests an RBM verification. Allowed for US and non-US brands. Completing an RBM vet automatically grants Auth+ compliance to a brand.<br><br><strong>Eligible Entity Types:</strong><br>• PRIVATE\_PROFIT, PUBLIC\_PROFIT, NON\_PROFIT, GOVERNMENT</p> |

#### WMC Global

| EVP ID | Vetting Class | Description                                                                                                                                              |
| ------ | ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `WMC`  | `STANDARD`    | <p>Requests a standard external vet. Allowed for US brands only.<br><br><strong>Eligible Entity Types:</strong><br>• PRIVATE\_PROFIT, PUBLIC\_PROFIT</p> |
| `WMC`  | `POLITICAL`   | Not supported.                                                                                                                                           |
| `WMC`  | `ENHANCED`    | Not supported.                                                                                                                                           |
| `WMC`  | `AUTHPLUS`    | Not supported.                                                                                                                                           |
| `WMC`  | `RBM`         | Not supported.                                                                                                                                           |

### Requesting an External Vet

All vets are requested by using the `POST /campaigns/brand/vetting/create` endpoint. The JSON request body must contain a valid `evpId`, which is the identity of the external vetting provider (see table above), and a `vettingClass`. Supported vetting classes include `STANDARD`, `ENHANCED`, `POLITICAL`, `AUTHPLUS`, and `RBM`.

***

### Standard Vet

Standard vets can be used to verify a brand or potentially gain access to better throughput levels with network carriers. A Standard vet is an automated review of compliance history, employee count, and other business metrics. Once complete, a score of 0-100 will be provided to determine the brand's throughput level for particular carriers. Scores grant different terms per carrier, and feedback reasons are provided.

Standard vets can be requested through the API without the optional `additionalRequestPayload` parameter.

#### Example Request

```bash
curl -X 'POST' \
'https://v1.api19.com/campaigns/brand/vetting/create' \
-d "evpId=AEGIS" \
-d "vettingClass=STANDARD"
```

#### Example Response

```json
{
"evpId": "AEGIS",
"vettingId": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"vettingToken": null,
"vettingScore": null,
"vettingClass": "STANDARD",
"vettingStatus": "PENDING",
"reasons": null,
"vettingDetails": {},
"vettedDate": null,
"createDate": "2024-10-14T05:35:34.123Z",
"validUntil": null,
"expirationDate": null
}
```

***

### Enhanced Vet

Enhanced vets are typically requested if a user is dissatisfied with their Standard vet score. If a CSP has already submitted a Standard vet appeal and believes a more thorough review would yield a higher score, they can order an Enhanced vet.

Enhanced vets can be requested through the API without the optional `additionalRequestPayload` parameter.

#### Example Request

```bash
curl -X 'POST' \
'https://v1.api19.com/campaigns/brand/vetting/create' \
-d "evpId=AEGIS" \
-d "vettingClass=ENHANCED"
```

#### Example Response

```json
{
"evpId": "AEGIS",
"vettingId": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"vettingToken": null,
"vettingScore": null,
"vettingClass": "ENHANCED",
"vettingStatus": "PENDING",
"reasons": null,
"vettingDetails": {},
"vettedDate": null,
"createDate": "2024-10-14T05:36:30.129Z",
"validUntil": null,
"expirationDate": null
}
```

***

### Political Vet

Political vets allow brands to use the Political special use case. NON\_PROFIT brands that have a 501(c)(3/4/5/6) Tax Exempt Status are already granted access to the Political use case and are not allowed to request or import a Political vet from any vendor.

A request body parameter `additionalRequestPayload` is required when requesting Political vets. It's used to provide additional brand information that's required by vetting providers to successfully process the vetting request. Information on these fields can be found in Appendix A: Additional Payload Request Schema.

#### Example Request

```bash
curl -X 'POST' \
'https://v1.api19.com/campaigns/brand/vetting/create' \
-d "evpId=AEGIS" \
-d "vettingClass=POLITICAL" \
-d 'additionalRequestPayload={"requestorFirstName":"John","requestorLastName":"Doe","locale":"Federal","fecCommitteeTypeCode":"E","committeeId":"12345","candidateType":"PAC","stateLocalCommitteeType":"FEDERAL","localCommitteeState":"NY","localCommitteeMunicipality":"Brooklyn","tribalLocation":"US","filingUrl":"www.filingurl.com","filingRecordUrlInstructions":"sample instructions","filingEmail":"contact@domain.com","electionDate":"2026-12-26","pinPreference":"Regular"}'
```

#### Example Response

```json
{
"evpId": "AEGIS",
"vettingId": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"vettingToken": null,
"vettingScore": null,
"vettingClass": "POLITICAL",
"vettingStatus": "PENDING",
"reasons": null,
"vettingDetails": {},
"vettedDate": null,
"createDate": "2024-10-14T05:38:03.587Z",
"validUntil": "2025-10-14T05:38:03.587Z",
"expirationDate": "2025-10-14T05:38:03.587Z"
}
```

***

### Auth+ Vet

Auth+ vets verify a brand's business contact through a Two-Factor Authentication (2FA) email process. They are only available for PUBLIC\_PROFIT brands and are required for those brands to create new campaigns. For more information, see the Authentication+ 2.0 Feature Overview.

Auth+ vets can be requested through the API without the optional `additionalRequestPayload` parameter.

#### Example Request

```bash
curl -X 'POST' \
'https://v1.api19.com/campaigns/brand/vetting/create' \
-d "evpId=AEGIS" \
-d "vettingClass=AUTHPLUS"
```

#### Example Response

```json
{
"evpId": "AEGIS",
"vettingId": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"vettingToken": null,
"vettingScore": null,
"vettingClass": "AUTHPLUS",
"vettingStatus": "PENDING",
"reasons": null,
"vettingDetails": {},
"vettedDate": null,
"createDate": "2024-10-14T05:38:03.587Z",
"validUntil": "2025-10-14T05:38:03.587Z",
"expirationDate": "2025-10-14T05:38:03.587Z"
}
```

***

### RBM Vet

RBM vets verify a brand's eligibility for RCS Business Messaging (RBM) as well as a business contact through a Two-Factor Authentication (2FA) email process. They are available for all entity types except SOLE\_PROPRIETOR and are not tied to a brand's identity status (i.e., a brand can be VERIFIED or UNVERIFIED). Successfully completing an RBM vet automatically grants Authentication+ compliance without completing an Auth+ vet. For more information, see the RBM Vetting Feature Overview.

RBM vets can be requested through the API without the optional `additionalRequestPayload` parameter.

#### Example Request

```bash
curl -X 'POST' \
'https://v1.api19.com/campaigns/brand/vetting/create' \
-d "evpId=AEGIS" \
-d "vettingClass=RBM"
```

#### Example Response

```json
{
"evpId": "AEGIS",
"vettingId": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"vettingToken": null,
"vettingScore": null,
"vettingClass": "RBM",
"vettingStatus": "PENDING",
"reasons": null,
"vettingDetails": {},
"vettedDate": null,
"createDate": "2024-10-14T05:38:03.587Z",
"validUntil": "2025-10-14T05:38:03.587Z",
"expirationDate": "2025-10-14T05:38:03.587Z"
}
```

***

### Appendix A: Additional Payload Request Schema

| Attribute                     | Data Type | Required        | Description                                                                                                                                                                                       |
| ----------------------------- | --------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `requestorFirstName`          | String    | Yes             | <p>First name of the committee person who initiated the verification request. Must be an exact match with what is filed with the election authority.<br>Max Length: 100</p>                       |
| `requestorLastName`           | String    | Yes             | <p>Last name of the committee person who initiated the verification request. Must be an exact match with what is filed with the election authority.<br>Max Length: 100</p>                        |
| `locale`                      | String    | Yes             | <p>Accepted values: Federal, State, Local, Tribal<br>Max Length: 16</p>                                                                                                                           |
| `fecCommitteeTypeCode`        | String    | See description | <p>Required if Federal. Refer to Appendix C: Committee Type Codes for a list of acceptable values.<br>Max Length: 1</p>                                                                           |
| `committeeId`                 | String    | Yes             | <p>The issued committee/campaign ID from the election authority. If the election authority does not require a committee/campaign ID for the specified locale, enter 00000.<br>Max Length: 32</p>  |
| `candidateType`               | String    | Yes             | <p>Required for candidate campaigns. If the committee is not candidate-specific, enter PAC.<br>Max Length: 64</p>                                                                                 |
| `stateLocalCommitteeType`     | String    | Yes             | <p>Required for State, Local, and Tribal locales. If Federal, enter FEDERAL.<br>Max Length: 64</p>                                                                                                |
| `localCommitteeState`         | String    | Yes             | <p>If Federal Congress, enter the state to be represented. Refer to Appendix B: FEC Jurisdictions for acceptable values. If the election is for the US President, enter US.<br>Max Length: 32</p> |
| `localCommitteeMunicipality`  | String    | Yes             | <p>If Federal Congress, enter the district to be represented. If this is a presidential election, enter US.<br>Max Length: 64</p>                                                                 |
| `tribalLocation`              | String    | Yes             | <p>If the locale is not Tribal, enter US.<br>Max Length: 64</p>                                                                                                                                   |
| `filingUrl`                   | String    | Yes             | <p>The election authority website URL. This website should contain filing information.<br>Max Length: 256</p>                                                                                     |
| `filingRecordUrlInstructions` | String    | No              | <p>Additional instructions that provide information on how to locate the filing record.<br>Max Length: 256</p>                                                                                    |
| `filingEmail`                 | String    | No              | <p>The email address filed with the election authority. Must be an exact match. If not supplied, the Political vet's PIN cannot be sent via email.<br>Max Length: 128</p>                         |
| `electionDate`                | Date      | Yes             | <p>The date of the election in the format yyyy-mm-dd. Must be a future date.<br>Max Length: 10</p>                                                                                                |
| `pinPreference`               | String    | Yes             | <p>Indicates how to deliver the Political vet's PIN. Accepted values are: Regular, Express, Email.<br>Max Length: 16</p>                                                                          |

### Appendix B: FEC Jurisdictions

| Jurisdiction             | Abbreviation |
| ------------------------ | ------------ |
| Alabama                  | AL           |
| Alaska                   | AK           |
| Arizona                  | AZ           |
| Arkansas                 | AR           |
| California               | CA           |
| Colorado                 | CO           |
| Connecticut              | CT           |
| Delaware                 | DE           |
| Florida                  | FL           |
| Georgia                  | GA           |
| Hawaii                   | HI           |
| Idaho                    | ID           |
| Illinois                 | IL           |
| Indiana                  | IN           |
| Iowa                     | IA           |
| Kansas                   | KS           |
| Kentucky                 | KY           |
| Louisiana                | LA           |
| Maine                    | ME           |
| Maryland                 | MD           |
| Massachusetts            | MA           |
| Michigan                 | MI           |
| Minnesota                | MN           |
| Mississippi              | MS           |
| Missouri                 | MO           |
| Montana                  | MT           |
| Nebraska                 | NE           |
| Nevada                   | NV           |
| New Hampshire            | NH           |
| New Jersey               | NJ           |
| New Mexico               | NM           |
| New York                 | NY           |
| North Carolina           | NC           |
| North Dakota             | ND           |
| Ohio                     | OH           |
| Oklahoma                 | OK           |
| Oregon                   | OR           |
| Pennsylvania             | PA           |
| Rhode Island             | RI           |
| South Carolina           | SC           |
| South Dakota             | SD           |
| Tennessee                | TN           |
| Texas                    | TX           |
| Utah                     | UT           |
| Vermont                  | VT           |
| Virginia                 | VA           |
| Washington               | WA           |
| West Virginia            | WV           |
| Wisconsin                | WI           |
| Wyoming                  | WY           |
| District of Columbia     | DC           |
| American Samoa           | AS           |
| Guam                     | GU           |
| Northern Mariana Islands | MP           |
| Puerto Rico              | PR           |
| US Virgin Islands        | VI           |
| United States            | US           |

***

### Appendix C: Committee Type Codes

This information is reprinted from the Federal Election Commission website.

| Code | Committee Type                                            | Description                                                                                                                                                                                                                                                                                       |
| ---- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| C    | Communication cost                                        | Organizations like corporations or unions may prepare communications for their employees or members that advocate the election of specific candidates and they must disclose them under certain circumstances. These are usually paid with direct corporate or union funds rather than from PACs. |
| D    | Delegate committee                                        | Delegate committees are organized for the purpose of influencing the selection of delegates to Presidential nominating conventions. The term includes a group of delegates, a group of individuals seeking to become delegates, and a group of individuals supporting delegates.                  |
| E    | Electioneering communication                              | Groups (other than PACs) making electioneering communications.                                                                                                                                                                                                                                    |
| H    | House                                                     | Campaign committees for candidates for the U.S. House of Representatives.                                                                                                                                                                                                                         |
| I    | Independent expenditor (person or group)                  | Individuals or groups (other than PACs) making independent expenditures over $250 in a year must disclose those expenditures.                                                                                                                                                                     |
| N    | PAC - Nonqualified                                        | PACs that have not yet been in existence for six months and received contributions from 50 people and made contributions to five federal candidates. These committees have lower limits for their contributions to candidates.                                                                    |
| O    | Independent expenditure-only (Super PACs)                 | Political Committee that has filed a statement consistent with AO 2010-09 or AO 2010-11.                                                                                                                                                                                                          |
| P    | Presidential                                              | Campaign committee for candidate for U.S. President.                                                                                                                                                                                                                                              |
| Q    | PAC - Qualified                                           | PACs that have been in existence for six months and received contributions from 50 people and made contributions to five federal candidates.                                                                                                                                                      |
| S    | Senate                                                    | Campaign committee for candidate for Senate.                                                                                                                                                                                                                                                      |
| U    | Single-candidate independent expenditure                  | No description provided.                                                                                                                                                                                                                                                                          |
| V    | Hybrid PAC (with Non-Contribution Account) - Nonqualified | Political committees with non-contribution accounts.                                                                                                                                                                                                                                              |
| W    | Hybrid PAC with Non-Contribution Account - Qualified      | Political committees with non-contribution accounts.                                                                                                                                                                                                                                              |
| X    | Party - Nonqualified                                      | Party committees that have not yet been in existence for six months and received contributions from 50 people, unless they are affiliated with another party committee that has met these requirements.                                                                                           |
| Y    | Party - Qualified                                         | Party committees that have existed for at least six months and received contributions from 50 people or are affiliated with another party committee that meets these requirements.                                                                                                                |
| Z    | National party non-federal account                        | National party non-federal accounts. Not permitted after enactment of Bipartisan Campaign Reform Act of 2002.                                                                                                                                                                                     |
